make_inp <- function(nml_out, nml_control = "oppla.inp", nml_in = "oppla_default.inp",
                     nml_param = "oppla_gar.nml", nml_gafort = "gafort.in") {
  vars <- oppla::nml_read(file = nml_gafort)$ga[[1]]$param_name # parameter variable specifications
  param <- oppla::nml_read(file = nml_param) # namelist with parameter names and values
  nml <- oppla::nml_read(file = nml_in)
  pop_size <- length(param$PARAM)
  iEmax <- grep(pattern = "Emax", x = vars, fixed = TRUE)
  cf <- oppla::nml_read(file = nml_control)$costfun[[1]]
  if ("param_match" %in% names(cf)) {
    mnm <- names(cf$param_match)
    for (im in seq_along(mnm)) {
      iv <- which(vars == mnm[im])
      vars <- c(vars, cf$param_match[[mnm[im]]])     # append matched parameters
      param$PARAM <- lapply(param$PARAM, FUN = function(x) # copy values of matched parameters
        list(PARAM_VALUE = c(x[1]$PARAM_VALUE, x[1]$PARAM_VALUE[iv])))
    }
  }
  ## write new namelists
  for (ind in seq_len(pop_size)) {
    values <- param$PARAM[[ind]]$PARAM_VALUE
    values[iEmax] <- pmin(values[iEmax], 1)
    nml <- oppla::nml_set(nml = nml, vars = vars, values = values)
    fd <- paste0("fitness", ind)
    if (! dir.exists(fd)) dir.create(fd)
    oppla::nml_write(nml = nml, file = file.path(fd, nml_out))
  }
}
