readErrors <- function(csvFile = "errors.csv", rdsFile = "errors.rds") {
  require(oppla)
  ers <- read.csv(file = csvFile, header = FALSE, stringsAsFactors = TRUE)
  nvar <- length(levels(ers[, 1]))
  ngen <- nrow(ers) / nvar
  era <- array(as.matrix(ers[, -1]), dim = c(nvar, ngen, ncol(ers) - 1),
               dimnames = list(type = ers[1:nvar, 1], generation = NULL, individual = NULL))
  means <- colMeans(era)
  err <- list(errors = era, means = means, minima = apply(X = means, MARGIN = 1, FUN = min))
  saveRDS(object = err, file = rdsFile)
  return(err)
}
