readFitness <- function(ngen, filename = "fitness.rds") {
  ## read parameters and costs from oppla_gar_*.nml and  oppla_cost_GA*.csv
  require(oppla)
  ## obtain parameter names from gafort.in
  pnames <- oppla::nml_read("gafort.in")$ga[[1]]$param_name
  if (file.exists("oppla_cost.csv")) file.remove("oppla_cost.csv")
  if (file.exists("oppla_gar.nml")) file.remove("oppla_gar.nml")
  ## collect parameter and fitness data from the oppla_gar_*.nml and  oppla_cost_GA*.csv files
  file.append("oppla_cost.csv", paste0("oppla_cost_GA", seq_len(ngen), ".csv"))
  file.append("oppla_gar.nml", paste0("oppla_gar_", seq_len(ngen), ".nml"))
  np <- length(pnames) # number of parameters
  pdf <- data.frame(t(matrix(unlist(oppla::nml_read("oppla_gar.nml")), nrow = np, dimnames = list(pnames, NULL))),
                    check.names = FALSE)
  pdf$fitness <- scan("oppla_cost.csv", sep = ",")
  updf <- unique(pdf) # remove duplicates
  saveRDS(object = updf, file = filename)
  return(updf)
}
