function rho = rho(tht, sal)
%EOS80.RHO: in situ or potential density of water at the sea surface (Millero et al. 1980) in kg/m^3
% RHO = EOS80.RHO(THT, SALT)
%  THT: in situ or potential temperature in °C
%  SALT:  salinity in psu
  rho = 999.842594e0 ...
        + tht.*(6.793952e-2 ...
                + tht.*(-9.09529e-3 ...
                        + tht.*(1.001685e-4 ...
                                + tht.*(-1.120083e-6 ...
                                        + tht.*6.536332e-9)))) ...
        + sal.*((8.24493e-1 ...
                 + tht.*(-4.0899e-3 ...
                         + tht.*(7.6438e-5 ...
                                 + tht.*(-8.2467e-7 ...
                                         + tht.*5.3875e-9)))) ...
                + sqrt(sal).*(-5.72466e-3 ...
                              + tht.*(1.0227e-4 ...
                                      +tht.*(-1.6546e-6))) ...
                + sal.*4.8314e-4);
end
