function st = sigma(tmp, sal, prs)
%EOS80.SIGMA: density anomaly of water
% ST = EOS80.SIGMA(TMP, SAL, PRS)
%   TMP     temperature at pressure pres in °C
%   SAL     salinity in psu
%   PRS     pressure in bar
% potential density anomaly of water from pressure pres at ref. pressure prref is
%     sigma_p(prref, theta(pres, prref, temp, salt), salt)
  if nargin == 3
    st = eos80.rho(tmp, sal)./(1 - prs./eos80.K(prs, tmp, sal)) - 1e3;
  else
    st = eos80.rho(tmp, sal) - 1e3;
  end
end
