function pnl = path(nlpath)
%NML.PATH translate parameter name string into namlelist path
% PNL = NML.PATH(NLP)
%  NLP    string representation of path to parameter in namelist structure
% returns
%  PNL    structure with fields name, index, param
  pnl = regexp(nlpath, '(?<name>[^.()]+)(?<index>\([\d]+\))?\.(?<param>[^.()]+)(?<parind>\([\d]+\))?', ...
               'names');
  if isempty(pnl.index)
    pnl.index = 1;
  else
    pnl.index = str2double(regexp(pnl.index, '\d+', 'match'));
  end
  if isempty(pnl.parind)
    pnl.parind = 1;
  else
    pnl.parind = str2double(regexp(pnl.parind, '\d+', 'match'));
  end
end
