function nls = scale(nls, groups, factors)
%NML.SCALE multiply groups of namelist parameters with common factors
% NLS = NML.SCALE(NLS, GROUPS, FACTORS)
%  NLS        namelist structure obtained with nml.read
%  GROUPS     cell array of cell arrays with parameter paths
%  FACTORS    vector the same size as GROUPS with one factor for each group
% returns
% NLS         modified namelist structure
  for ng=1:length(groups)
    nls = nml.set(nls, groups{ng}, factors(ng).*nml.get(nls, groups{ng}));
  end
end
