function varargout = depth (varargin)
%ODB.DEPTH convert between mean depths and box boundaries
% [DEP] = ODB.DEPTH(DEPTH)
% returns row vector(s)
  nout = max(nargout, 1);
  if nargin < nout
    error('ODB:argcount', 'Number of inputs must equal number of outputs.')
  end
  varargout = cell(1, nout);
  for n=1:nout
    depth = varargin{n};
    ndep = length(depth);
    if (depth(1) == 0)                    % depth data must be box boundaries
      dep = (depth(1:ndep-1) + depth(2:ndep))/2;    % calculate mean depths
    else
      dep = zeros(ndep+1, 1);                       % calculate box boundaries
      for nd=1:ndep
        if (dep(nd) >= depth(nd))	        % not an opem depth structure
          dep(2:ndep) = (depth(1:ndep-1) + depth(2:ndep))./2;
          dep(ndep+1) = 2*depth(ndep) - dep(ndep);
          break
        end
        dep(nd+1) = 2*depth(nd) - dep(nd);
      end
    end
    varargout{n} = dep;
  end
end
