function ezd = ezd(db, varargin)
%ODB.EZD euphotic zone depth
  opt.chlnam = 'Chlorophyll';
  opt = oppla.pop({'chlnam'}, [], opt, varargin{:});
  pchl = odb.prf(db, opt.chlnam);
  nps = length(pchl);
  ezd.date = [db.prf([pchl.prf]).date];
  for np=nps:-1:1
    dbb = odb.depth(pchl(np).depth);
    xl = cumsum((pchl(np).(opt.chlnam).val.*0.016 + 0.04).*diff(dbb)');
    if xl(end) <= 4.6
      ezd.depth(np) = pchl(np).depth(end);
    elseif xl(1) < 4.6
      ezd.depth(np) = pchl(np).depth(find(xl > 4.6, 1, 'first') - 1);
    else
      ezd.depth(np) = NaN;
    end
  end
  ival = ~isnan(ezd.depth);
  ezd.date = ezd.date(ival);
  ezd.depth = ezd.depth(ival);
end
