function data = get (file, field)
%[DATA] = ODB.GET(FILE, FIELD) retrieve individual dataset
%   FILE       (file containing) odb database
%   FIELD      name of a dataset
  if ischar(file)
    db = load(file);
  else
    db = file;
  end
  rec = db.(field).rec;
  data.data = db.(field).val;
  data.iprf = db.rec.prf(rec);
  data.depth = db.rec.depth(rec);
  data.prf = db.prf(data.iprf);
  [data.cruise, ~, jcrs] = unique(db.cruise([data.prf.crs]));
  [data.station, ~, jstn] = unique(db.station([data.prf.stn]));
  crs = num2cell(jcrs);
  [data.prf.crs] = crs{:};                % redefine crs for new cruise field
  stn = num2cell(jstn);
  [data.prf.stn] = stn{:};                % redefine stn for new station field
  data.file = db.file;
  fns = setdiff(fieldnames(db.(field)), {'rec' 'val'});
  for nf=1:length(fns)
    data.(fns{nf}) = db.(field).(fns{nf});
  end
end
