function db = rmp (db, prf, varargin)
%ODB.RMP remove specific profiles for field fn
% [DB] = ODB.RMP(DB, PRF, FN, ...)
%   DB    OPPLA database
%   PRF   vector of profile indices
%   FN    field name(s)
% RETURNS: DB subset without data in indicated profiles
%
% See also ODB.GET, ODB.PRF, ODB.SUB
  for fn=varargin
    pd = db.rec.prf(db.(fn{1}).rec);
    ip = ismember(pd, prf);
    fns = setdiff(fieldnames(db.(fn{1})), 'units');
    for dfn=fns                           % remove all rec and val entries
      db.(fn{1}).(dfn{1})(:,ip) = [];     % in prf
    end
  end
end
