function db = rnc (file)
%ODB.RNC read OPPLA database from NETCDF file
% DB = ODB.RNC(FILE)
%  FILE     netcdf file name
%  DB       OPPLA database structure
  cruise = ncread(file, '/cruise');
  nps = length(cruise);
  db.cruise = cell(nps, 1);
  for np=1:nps
    db.cruise{np} = cruise(np).Data;
  end
  ni = ncinfo(file);
  igprf = find(strcmp({ni.Groups.Name}, '/prf'), 1);
  pfns = {ni.Groups(igprf).Variables.Name};
  for nf=2:length(pfns)
    prfdat = ncread(file, ['/prf/' pfns{nf}]);
    ndat = length(prfdat);
    prfdat = num2cell(prfdat);
    db.prf(1:ndat).(pfns{nf}) = prfdat{:};
  end
  db.rec.prf = ncread(file, '/rec/prf');
  db.rec.depth = ncread(file, '/rec/depth');
  dfns = setdiff({ni.Groups.Name}, {'prf' 'rec'});
  for nf=1:length(dfns)
    ifn = strcmp(dfns{nf}, {ni.Groups.Name});
    hfns = {ni.Groups(ifn).Variables.Name};
    for n=1:length(hfns)
      db.(dfns{nf}).(hfns{n}) = ncread(file, [ni.Groups(ifn).Name '/' hfns{n}]);
    end
    for na=1:length(ni.Groups(ifn).Attributes)
      db.(dfns{nf}(2:end)).(ni.Groups(ifn).Attributes(na).Name) = ni.Groups(ifn).Attributes(na).Value;
    end
  end
end
