function udunits = ud (units)
%ODB.UD convert ODB units into UDUNITS format
% UD = ODB.UD(UNITS)
%  UNITS    odb units string
%  UD       units string in UDUNITS format
  udunits = strrep(units, '{\mu}', 'mu');
  udunits = strrep(udunits, '\^{\circ}', 'deg');
  udunits = regexprep(udunits, '\^{([---0-9.]+)}', '$1');
end
