function units = units(dfns)
  u.Temperature = '\circC';
  u.theta = '\circC';
  u.Salinity = 'psu';
  u.Salinity_CTD = 'psu';
  u.CTD_S = 'psu';
  u.Sal1 = 'psu';
  u.AOU = '\mumol kg^-1';
  u.O2 = '\mumol kg^-1';
  u.O2_CTD = '\mumol kg^-1';
  u.DIC = '\mumol kg^-1';
  u.pCO2 = '\muatm';
  u.Alkalinity = '\mueq kg^-1';
  u.Pressure = 'db';
  u.Conductivity = 'S m^-1';
  u.Fluorescence = '';
  u.pH = '';
  u.sigma_theta = 'kg m^-3';
  u.Sigma_T = 'kg m^-3';
  u.Density = 'kg m^-3';
  u.DIN = '\mumol kg^-1';
  u.NO2 = '\mumol kg^-1';
  u.NO2NO3 = '\mumol kg^-1';
  u.NO2_NO3 = '\mumol kg^-1';
  u.NO3NO2 = '\mumol kg^-1';
  u.NO3_NO2 = '\mumol kg^-1';
  u.NO3 = '\mumol kg^-1';
  u.NH4 = '\mumol kg^-1';
  u.PO4 = '\mumol kg^-1';
  u.TP = '\mumol kg^-1';
  u.SiO3 = '\mumol kg^-1';
  u.POC = '\mumol kg^-1';
  u.TPC = '\mumol kg^-1';
  u.PON = '\mumol kg^-1';
  u.DOC = '\mumol kg^-1';
  u.DOC_kg = '\mumol kg^-1';
  u.DON = '\mumol kg^-1';
  u.TOC = '\mumol kg^-1';
  u.TOC_kg = '\mumol kg^-1';
  u.TDN = '\mumol kg^-1';
  u.TON = '\mumol kg^-1';
  u.TON_kg = '\mumol kg^-1';
  u.TN = '\mumol kg^-1';
  u.Bacteria = '10^8cells L^-1';
  u.Chlorophyll = '\mug kg^-1';
  u.Phaeophytin = '\mug kg^-1';
  u.PAR = '\muE m^-2s^-1';
  u.Bacteria_Prod = '\mugC kg^-1h^-1';
  u.Primary_Prod = '\mugC kg^-1h^-1';
  u.LightC14 = '\mugC kg^-1h^-1';
  u.DarkC14 = '\mugC kg^-1h^-1';
  u.CFC11 = 'pmol kg^-1';
  u.CFC12 = 'pmol kg^-1';
  u.CFC113 = 'pmol kg^-1';
  u.CCL4 = 'pmol kg^-1';
  u.xCO2sea = 'ppm';
  u.sieve = '\mum';
  u.dw = 'mg m^-3';
  u.ww = 'mg m^-3';
  u.dw_200 = 'mg m^-3';
  u.ww_200 = 'mg m^-3';
  u.dwt = 'mg m^-3';
  u.wwt = 'mg m^-3';
  u.dwt_200 = 'mg m^-3';
  u.wwt_200 = 'mg m^-3';
  if nargin == 1
    if ~iscell(dfns)
      dfns = {dfns};
    end
    nfs = length(dfns);
    units = cell(1, nfs);
    for nf=1:nfs
      if isfield(u, dfns{nf})
        units{nf} = u.(dfns{nf});
      elseif ismember(dfns{nf}, {'cruise' 'depth' 'lat' 'latdeg' 'latmin' ...
                            'lon' 'londeg' 'lonmin' 'date' 'month' 'day' 'year' ...
                            'time' 'station' 'file'})
        units{nf} = [];
      else
        units{nf} = '';
        warning('ODB:units', 'Units for %s not known.', dfns{nf})
      end
    end
  else
    units = u;
  end
end
