#' make barplot of phyt_Chl for several simulations
bars_chl <- function(..., column = "phyt_Chl", depth = units::set_units(200, m),
                     tags = lapply(list(...), FUN = function(x) attr(x, "file"))) {
  ic <- lapply(list(...), FUN = function(x) oppla_icmt(data = x, columns = column, avc = "mon",
                                                       depth = depth)[,column])
  m <- t(do.call(cbind, ic))
  colnames(m) <- month.name
  rownames(m) <- tags
  op <- par(mar = c(4.5, 4.5, 4, 1))
  barplot(height = m, beside = TRUE, legend = TRUE,
          ylab = units::make_unit_label(column, ic[[1]]))
  par(op)
}
