setwd("~/oppla/run/BATS/")
library(oppla)
nc <- onc_info("BATS_27_01Jan1988_all_start.nc")
## read all variables
vars <- sapply(nc$var, function(var) {
    v <- RNetCDF::var.get.nc(ncfile = nc$self, variable = var$name)
})
## fix time dimension, add lat, lon if necessary
RNetCDF::close.nc(nc$self)
nc$var$time$dim[[1]]$name <- "time"
## create new initial-conditions file with all variables
oppla_icf(oppla = vars, filename = "BATS_start_fixed.nc")
