# OPPLA Optimality-based plankton ecosystem model in 1D

Markus Pahlow (mpahlow@geomar.de)

1D ecosystem model with inorganic nutrients, DOM, bacteria, phytoplankton, zooplankton, detritus.  Phytoplankton and detritus have variable (optimal) stoichiometry.  Any (reasonable) number of bacteria, phytoplankton, and zooplankton compartments can be simulated.

## Setup

1. Prerequisites: For cloning, pulling and compiling oppla, you need to have installed:
   - NetCDF including the Fortran library
   - FoBiS.py
   - a Fortran compiler (ifort or gfortran) compatible with your NetCDF library
   - git with lfs support
2. Clone [oppla](https://git.geomar.de/markus-pahlow/oppla.git) to obtain the code.
3. Enter the resulting `oppla` folder and issue `make`
4. More detailed instructions can be found in the [manual](doc/manual.pdf)

### Notes for the nesh

You need these modules: R, python, git, git-lfs, and either hdf5, netcdf-c, netcdf-fortran or intel, hdf5-intel, netcdf-c-intel, netcdf-fortran-intel.

If you are using the Intel compiler, in order to get the R package and its dependencies installed, first compile and install oppla without the R module loaded (`module unload R; make`).  Then log out and back in with *only* the R module loaded (`module unload` is not enough) and type `make` again in the oppla folder.
