% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_nc.R
\name{onc_info}
\alias{onc_info}
\title{Open NetCDF file and retrieve info about its content.}
\usage{
onc_info(filename, close = FALSE, ...)
}
\arguments{
\item{filename}{name of a NetCDF file}

\item{close}{if \code{TRUE} close the file upon return, otherwise the file must be closed by
\code{RNetCDF::close.nc(con = nc$self)}}

\item{...}{arguments passed on to \code{\link[RNetCDF:open.nc]{RNetCDF::open.nc}}}
}
\value{
List describing the structure of the NetCDF dataset with the following components:
\item{self}{(only for \code{close = FALSE}) object of class \code{\link[RNetCDF:00RNetCDF]{NetCDF}}
pointing to the NetCDF dataset}
\item{filename}{name of the NetCDF file}
\item{att}{list of global attributes in file or group}
\item{ngatts}{number of global attributes in file or group}
\item{dim}{list of dimensions as described in \code{\link[RNetCDF:dim.inq.nc]{RNetCDF::dim.inq.nc}} plus \code{vals}
components where corresponding dimension variables exist}
\item{unlimids}{NetCDF ids of unlimited dimensions (if any); note that you have to add 1 to find
the corresponding dimension(s) in the \code{dim} component}
\item{var}{list of variables as described in \code{\link[RNetCDF:var.inq.nc]{RNetCDF::var.inq.nc}} plus attributes and \code{dimensions}}
\item{group}{list of groups (if any), each containing the components described here except
\code{filename} plus \code{name} and \code{fullname}}
\item{type}{list of types as described in \code{\link[RNetCDF:type.inq.nc]{RNetCDF::type.inq.nc}}}
}
\description{
The retrieved info is obtained in a structure similar to \code{ncdf4::nc_open}.
}
\details{
For \code{close = TRUE} the returned list does not contain \code{self}.

You can retrieve all attributes of a variable \code{x} (one of the elements of \code{nc$var})
as \code{x[length(x) - (x$natts:1)]}.
}
