% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_data.R
\name{op_volume_units}
\alias{op_volume_units}
\title{Convert mass-specific to volume-specific units.}
\usage{
op_volume_units(data)
}
\arguments{
\item{data}{dataframe or data table as obtained with \code{read_ls} or \code{read_bats} or one of the .rds files}
}
\value{
Modified \code{\link[data.table:data.table]{Data table}}.  All columns containing kg-1 in their
units string are multiplied with the corresponding potential density, which is taken from the
\code{Density} column, if it exists, or calculated from the \code{Temperature} and \code{Salinity}
columns.  Missing density data are set to 1024 kg/m^3.
}
\description{
Many data are provides in mass-specific units whereas \code{oppla} results are in volume-specific
units.  This function converts columns given in mass-specific units to make them comparable with
\code{oppla} results.
}
