% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_LHS.R
\name{opplaLHS}
\alias{opplaLHS}
\title{Generate a set of parameter files with Latin Hypercube Sampling.}
\usage{
opplaLHS(
  default,
  npfs,
  ranges,
  format = "oppla_param_\%04d.inp",
  LHSfun = lhs::maximinLHS,
  seed,
  ...
)
}
\arguments{
\item{default}{name of default parameter file.}

\item{npfs}{number of parameter files to generate.}

\item{ranges}{data.frame with one row for each parameter and three columns named low, high and name.
The row names specify the namellist entries and the three columns specify the ranges and names of the parameters.}

\item{format}{template passed as \code{fmt} to \code{\link[base:sprintf]{sprintf}} to generate the names
of the parameter-files to be written; must contain exactly one conversion specification.}

\item{LHSfun}{one of the Latin Hypercube Sample functions in the \code{\link[lhs:lhs-package]{lhs}} package.}

\item{seed}{initial random-number seed, useful for reproducible results.}

\item{...}{arguments passed on to \code{LHSfun}.}
}
\value{
matrix with named columns.  Each row is one parameter set.
}
\description{
Generate a set of parameter files with Latin Hypercube Sampling.
}
