% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_LHS.R
\name{opplaSensitivity}
\alias{opplaSensitivity}
\title{Generate a set of parameter files for a sensitivity analysis}
\usage{
opplaSensitivity(
  default,
  parameters,
  delta = 0.1,
  folder = ".",
  base_name = "oppla_param"
)
}
\arguments{
\item{default}{name of default parameter file.}

\item{parameters}{(named) vector of parameter specifications of the form
code{name = "namelist name-index-variable name\link{-indices}"}.  If the vector is named, the names
are used for the generated file names, otherwise the parameter specifications will be used as names.}

\item{delta}{fraction by with each parameter is varied.}

\item{folder}{where to save the generated parameter files.}

\item{base_name}{base name to construct the parameter file names from}
}
\description{
Generate a set of parameter files for a sensitivity analysis
}
\details{
The names of the generated parameter files are constructed from the \code{base_name}
and the names of the \code{parameters}.  A \code{+} or \code{-} before the extension \code{.nml}
indicates whether the parameter was increased or decreased relative to its default.
}
