% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla.R
\name{oppla_ave}
\alias{oppla_ave}
\title{Means (or other functions) of oppla results.}
\usage{
oppla_ave(
  data,
  columns = setdiff(names(data), c(avc, "depth", "height")),
  avc,
  fun = mean
)
}
\arguments{
\item{data}{oppla data as obtained with \code{\link{oppla_read}}}

\item{columns}{character vector of data columns to include}

\item{avc}{character vector of subsetting columns in data.  \code{avc = "month"}
produces a monthly climatology.  \code{avc = c("mday", "month", "year")}
gives daily means (if \code{fun = mean})}

\item{fun}{function to apply to the temporal subsets}
}
\value{
\code{\link[data.table:data.table]{Data table}} with aggregated temporal subsets.
}
\description{
Means (or other functions) (of temporal subsets) of oppla results.
}
\details{
The order of the averaging columns (avc) determines how the resulting
data table is sorted.  If the \code{columns} argument is left out, all data
columns are included.
}
