% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_DIC.R
\name{oppla_dic}
\alias{oppla_dic}
\title{Add columns with DIC components to \code{oppla} output.}
\usage{
oppla_dic(oppla)
}
\arguments{
\item{oppla}{oppla output as obtained with \code{\link{oppla_read}}}
}
\value{
\code{\link[data.table:data.table]{Data table}} \code{oppla} with columns \code{CO2},
\code{HCO3}, \code{CO3}, \code{pH}, \code{rho}, \code{Omega} and \code{OmegaCalcite} added.
}
\description{
DIC components \code{CO2}, \code{HCO3}, \code{CO3} and \code{pH} are calculated
and added to \code{oppla}, together with density (\code{rho}), aragonite
saturation (\code{Omega}) and calcite saturation (\code{OmegaCalcite}).
}
\details{
This function calls the Fortran subroutine \code{dic:dicsys:co2},
which is also called by the \code{oppla} program.  It will work only if
the forcing data (temperature, salinity) have been read into \code{oppla}.
}
