% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_forcing.R
\name{oppla_forcing_add_ts}
\alias{oppla_forcing_add_ts}
\title{Add 1D datasets to \code{oppla} forcing file.}
\usage{
oppla_forcing_add_ts(forcing_file, new_data)
}
\arguments{
\item{forcing_file}{name of the forcing file}

\item{new_data}{dataframe with a \code{time} column (class \code{\link[base:DateTimeClasses]{POSIXt}})
and further columns containing the time-series data (as \code{\link[units:units]{units}} objects) to be added;
the new \code{varid}s will be the names of the columns}
}
\description{
Add 1D (time-series) datasets to oppla forcing file.  These can be surface or bottom datasets
as specified by their associations in namelist physics.
}
\details{
Further information about the added datasets can be passed as attributes of the columns of
\code{new_data}, which will be copied into the \code{forcing_file}.
}
