% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_forcing.R
\name{oppla_forcing_mom}
\alias{oppla_forcing_mom}
\title{Create oppla forcing file from Heiner's mom model.}
\usage{
oppla_forcing_mom(
  filename,
  region,
  path = "~/data/mom_sis_ciaf_repeat",
  years = 1949:2009,
  ndep,
  ilon = 2,
  ilat = 2
)
}
\arguments{
\item{filename}{name of the forcing file to be created}

\item{region}{region identifyer string, one of \code{"aloh"}, \code{"bats"},
\code{"esto"}, \code{"irmi"}, \code{"k2pa"}, \code{"labr"}, \code{"ligu"}, \code{"s1pa"}}

\item{path}{path to the folder where the model output is stored}

\item{years}{vector of years for which to create the forcing file, must be a
contiguous subset of \code{1949:2009}}

\item{ndep}{maximum number of levels to include}

\item{ilon, ilat}{longitude, latitude indices in the mom output files, which contain 3x3 columns}
}
\description{
Create oppla forcing file from Heiner's mom model.
}
