% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_ic.R
\name{oppla_icf}
\alias{oppla_icf}
\title{Create an initial-conditions file from an oppla time slice.}
\usage{
oppla_icf(
  oppla,
  date = oppla$date[1],
  filename,
  icdate = date,
  depth = unique(oppla$depth)
)
}
\arguments{
\item{oppla}{oppla output as obtained with \code{\link{oppla_read}}}

\item{date}{date of the time slice in \code{oppla}}

\item{filename}{name of the initial-conditions file}

\item{icdate}{date for the initial conditions}

\item{depth}{optional depth vector (\code{\link[units:units]{units}} object) for the initial-conditions}
}
\description{
\code{oppla_icf} can be used for switching from one depth structure to another
or for adding or modifying states.  You can generate an initial-conditions file
from a time slice of oppla results, but oppla can also directly restart from one
of its output files.
}
\details{
The \code{depth} argument can be used to specify a different depth structure
for the initial-conditions file.  If the vertical extent of the new depth structure
is within that of the original, total mass within this depth range will be preserved.
If the new depth structure extends below the original, the lower levels are filled
with the bottom-most values of the original profiles.
}
