% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla.R
\name{oppla_int}
\alias{oppla_int}
\title{Vertical integrals.}
\usage{
oppla_int(
  data,
  avc,
  columns = setdiff(names(data), c("depth", "height")),
  depth = units::set_units(100, "m", mode = "standard"),
  ...
)
}
\arguments{
\item{data}{oppla data as obtained with \code{\link{oppla_read}}}

\item{avc}{character vector of averaging columns in data.  \code{avc = "month"}
produces a monthly climatology.  \code{avc = c("mday", "month", "year")} gives daily
averages}

\item{columns}{character vector of columns in data to be integrated}

\item{depth}{units object specifying the depth for integration}

\item{...}{parameters passed to \code{\link{oppla_ave}}}
}
\description{
Vertical integrals of (temporally averaged) oppla results.
}
