% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_graphics.R
\name{oppla_level}
\alias{oppla_level}
\title{Levelplot(s) of a column-expression of oppla results.}
\usage{
oppla_level(
  column,
  data,
  ylim,
  palette = "viridis",
  xlab = "date",
  log = FALSE,
  main,
  ...
)
}
\arguments{
\item{column}{expression involving columns of data}

\item{data}{(list of) \code{\link[data.table:data.table]{Data table(s)}} with oppla results or temporal averages}

\item{ylim}{vertical (depth) limits for plot panels}

\item{palette}{colour palette for levelplots}

\item{xlab}{x-axis label}

\item{log}{use a pseudo-log scale for the colour key}

\item{main}{plot title; default is \code{column} with units}

\item{...}{other parameters to be passed to \code{\link[lattice:levelplot]{levelplot}}}
}
\description{
\code{oppla_level} produces (a) levelplot(s) of oppla results
}
