% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla.R
\name{oppla_read}
\alias{oppla_read}
\title{Read \code{oppla} results.}
\usage{
oppla_read(file, forcing = TRUE, datelim = NULL)
}
\arguments{
\item{file}{name of oppla output file in netcdf format}

\item{forcing}{flag indicating whether to read forcing data}

\item{datelim}{2-element vector of first and last times to extract}
}
\value{
\code{\link[data.table:data.table]{Data table}} with a single-column vector date
of class \code{\link[base:DateTimeClasses]{POSIXct}}.  Numeric data are stored as \code{\link[units:units]{units}} objects.
The depth edges of the layers are stored as attribute "depth_edges".
}
\description{
Read \code{oppla} netcdf results into an R data table.
}
\details{
Note that reading forcing data data with \code{forcing = TRUE} may not work if the
\code{file} was moved or copied if the \code{control_file} and \code{data_file} were specified
as relative paths.
}
\seealso{
See \code{\link[units:units]{units}}, \code{\link[units:units]{set_units}}, and
\code{\link[units:mixed_units]{mixed_units}} for details about units objects.
}
