% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_forcing.R
\name{oppla_read_ncep}
\alias{oppla_read_ncep}
\title{Read surface data for a specific location from NCEP NetCDF files.}
\usage{
oppla_read_ncep(path, varid, lon, lat)
}
\arguments{
\item{path}{path name of the folder where to find the NCEP NetCDF files}

\item{varid}{name of the variable to be retrieved from the NetCDF files}

\item{lon, lat}{longitude and latitude of the location}
}
\value{
Dataframe with a time (class \code{\link[base:DateTimeClasses]{POSIXt}})
and a data column (class \code{\link[units:units]{units}}) whose name is \code{varid}
with "_NCEP" appended.
The data are those closest to the specified position.
}
\description{
NCEP NetCDF files contain global datasets for specific dates or years.  This
function extracts the data for a specific location.
}
\details{
The \code{path} must not contain any other NetCDF files.
}
