% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_graphics.R
\name{oppla_tile}
\alias{oppla_tile}
\title{Tile plot(s) of a column-expression of oppla results.}
\usage{
oppla_tile(
  column,
  data,
  ylim,
  palette = "viridis",
  xlab = "date",
  log = FALSE,
  type = "tile",
  order,
  scales = "fixed",
  breaks = 10
)
}
\arguments{
\item{column}{expression involving columns of \code{data}}

\item{data}{(named list of) \code{\link[data.table:data.table]{Data table(s)}} with oppla results or temporal averages.
If it is a named list, the names will be used as facet labels}

\item{ylim}{vertical (depth) limits for plot panels}

\item{palette}{colour palette type for \code{\link[ggplot2:scale_colour_continuous]{scale_fill_continuous}}}

\item{xlab}{x-axis label}

\item{log}{use a pseudo-log scale for the colour key}

\item{type}{either "tile" for a tile plot or "contour" for filled contours}

\item{order}{character vector containing all \code{tag} or \code{file} attributes of \code{data},
setting the order of the facets, which are arranged alphabetically by default}

\item{scales}{passed on to \code{\link[ggplot2:facet_wrap]{facet_wrap}}}

\item{breaks}{(number of) contour levels for \code{type = "contour"}}
}
\value{
A \code{\link[ggplot2:ggplot]{ggplot}} object.
}
\description{
\code{oppla_tile} produces (a) tile plot(s) of oppla results (and/or data).
}
\details{
If \code{data} is a list including model results and data, you must ensure that the \code{column}
expression is valid and has the same units in all elements of \code{data}.  Use \code{\link{op_volume_units}}
to convert mass-specific to volume-specific units.

The units for the colour bar label are taken from (the first element in) \code{data}.
}
