% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/oppla_graphics.R
\name{oppla_tile_vars}
\alias{oppla_tile_vars}
\title{Tile plot(s) of column-expression strings of oppla results.}
\usage{
oppla_tile_vars(
  columns,
  data,
  ylim = range(data$depth),
  palette = "viridis",
  xlab = "date",
  log = FALSE,
  type = "tile",
  scales = "fixed",
  breaks = 10
)
}
\arguments{
\item{columns}{named vector of expression-strings involving columns of \code{data}}

\item{data}{\code{\link[data.table:data.table]{Data table}} with oppla results or temporal averages.}

\item{ylim}{vertical (depth) limits for plot panels}

\item{palette}{colour palette type for \code{\link[ggplot2:scale_colour_continuous]{scale_fill_continuous}}}

\item{xlab}{x-axis label}

\item{log}{use a pseudo-log scale for the colour key}

\item{type}{either "tile" for a tile plot or "contour" for filled contours}

\item{scales}{passed on to \code{\link[ggplot2:facet_wrap]{facet_wrap}}}

\item{breaks}{(number of) contour levels for \code{type = "contour"}}
}
\value{
A \code{\link[ggplot2:ggplot]{ggplot}} object.
}
\description{
\code{oppla_tile_vars} produces (a) tile plot(s) of oppla results.
}
\details{
You must ensure that the \code{columns}
expression strings are all valid and have the same units.  Use \code{\link{op_volume_units}}
to convert mass-specific to volume-specific units.
}
