! compile with (see Makevars):
! $FC $(R CMD config FCFLAGS) $(R CMD config FPICFLAGS) -I../.mod -I../.obj -c rdic.f90
! R CMD SHLIB rdic.f90
SUBROUTINE rdic (pfn, lpfn, depth, temp, salt, alk, tco2, dip, silc, ndat,&
     rho, co2, hco3, co3, hc, omega, omega_calcite)
  USE et
  USE dic
  IMPLICIT NONE
  INTEGER, INTENT(IN) :: lpfn, ndat     ! actual length of pfn and number of data
  CHARACTER(LEN=255), INTENT(IN) :: pfn ! parameter file name
  REAL(dp), DIMENSION(ndat), TARGET, INTENT(IN) :: depth, temp, salt, alk, tco2, dip, silc
  REAL(dp), DIMENSION(ndat), INTENT(OUT) :: rho, co2, hco3, co3, hc, omega, omega_calcite
  TYPE(dicsys) :: dics
  TYPE(layer), DIMENSION(0:ndat+1) :: box
  TYPE(local) :: envir
  INTEGER :: lun, nd
  CALL inudu
  OPEN (NEWUNIT=lun, FILE=pfn(1:lpfn), ACTION='READ', STATUS='OLD')
  CALL dics%read (lun=lun, env=envir)
  CLOSE (UNIT=lun)
  DO nd=1,ndat
     box(nd)%depth = depth(nd)
     box(nd)%temperature => temp(nd)
     box(nd)%salinity => salt(nd)
     box(nd)%alkalinity => alk(nd)
     box(nd)%DIC => tco2(nd)
     box(nd)%dip => dip(nd)
     box(nd)%silc => silc(nd)
  END DO
  CALL dics%init (box=box)
  DO nd=1,ndat
     CALL dics%co2 (box=box(nd), niter=4)
     rho(nd) = box(nd)%rho
     co2(nd) = box(nd)%co2
     hco3(nd) = box(nd)%hco3
     co3(nd) = box(nd)%co3
     hc(nd) = box(nd)%hc
     omega(nd) = box(nd)%omega
     omega_calcite(nd) = box(nd)%omega_calcite
  END DO
END SUBROUTINE rdic
